Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 48)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 49)
@@ -401,126 +401,6 @@
         private static int[,] DspMentenance4 = new int[,] { { 0, 0, 0, 0 }, { 0, 0, 0, 0 }, { 1, 0, 1, 0 }, { 1, 1, 1, 0 }, { 0, 0, 0, 0 }, { 0, 0, 0, 0 }, { 0, 0, 0, 0 }, { 0, 0, 0, 0 }, };
         #endregion
 
-        #region 受注管理ボタン名前固定部
-        /// <summary>
-        /// 受注管理ボタン名前固定部
-        /// </summary>
-        private const string s_btnOrder = "btnOrder";
-        #endregion
-
-        #region 受注管理メニューボタン配置
-        /// <summary>
-        /// 受注管理メニューボタン配置
-        /// </summary>
-        private static int[,] OrderMenuButton = new int[,] {
-                                                            {(int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo,
-                                                                0,
-                                                                0
-                                                            },
-                                                            {(int)ClsExcute.ProcessExecuteNo.EstimateInput,
-                                                                (int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList,
-                                                                (int)ClsExcute.ProcessExecuteNo.EstimatePrint
-                                                            },
-                                                            {(int)ClsExcute.ProcessExecuteNo.EstimateBudget,
-                                                                (int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList,
-                                                                0
-                                                            },
-        };
-        #endregion
-
-        #region 施工管理ボタン名前固定部
-        /// <summary>
-        /// 施工管理ボタン名前固定部
-        /// </summary>
-        private const string s_btnConstrction = "btnConstruction";
-        #endregion
-
-        #region 施工管理メニューボタン配置
-        /// <summary>
-        /// 施工管理メニューボタン配置
-        /// </summary>
-        private static int[,] ConstructionMenuButton = new int[,] {
-                                                                    {(int)ClsExcute.ProcessExecuteNo.ConstructionLedgerList,
-                                                                        (int)ClsExcute.ProcessExecuteNo.DRList,
-                                                                        0,
-                                                                        (int)ClsExcute.ProcessExecuteNo.TAndPCosts,
-                                                                        0
-                                                                    },
-                                                                    {0,
-                                                                        0,
-                                                                        0,
-                                                                        0,
-                                                                        0
-                                                                    },
-                                                                    {0,
-                                                                        0,
-                                                                        0,
-                                                                        0,
-                                                                        0
-                                                                    },
-                                                                    {(int)ClsExcute.ProcessExecuteNo.ConstructionBudget,
-                                                                        (int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList,
-                                                                        0,
-                                                                        0,
-                                                                        0
-                                                                    },
-                                                                    {(int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry,
-                                                                        (int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList,
-                                                                        (int)ClsExcute.ProcessExecuteNo.PurchaseOrderPrint,
-                                                                        0,
-                                                                        0
-                                                                    },
-                                                                    {0,
-                                                                        0,
-                                                                        0,
-                                                                        0,
-                                                                        0
-                                                                    },
-                                                                    {0,
-                                                                        0,
-                                                                        0,
-                                                                        0,
-                                                                        0
-                                                                    },
-                                                                    {0,
-                                                                        0,
-                                                                        0,
-                                                                        0,
-                                                                        0
-                                                                    },
-                                                                    {0,
-                                                                        0,
-                                                                        0,
-                                                                        0,
-                                                                        0
-                                                                    },
-                                                                    {0,
-                                                                        0,
-                                                                        0,
-                                                                        0,
-                                                                        0
-                                                                    },
-                                                                    {0,
-                                                                        0,
-                                                                        0,
-                                                                        0,
-                                                                        0
-                                                                    },
-                                                                    {0,
-                                                                        0,
-                                                                        0,
-                                                                        0,
-                                                                        0
-                                                                    },
-                                                                    {0,
-                                                                        0,
-                                                                        0,
-                                                                        0,
-                                                                        0
-                                                                    }
-        };
-        #endregion
-
         #region マスタメンテナンスメニューボタン配置
         /// <summary>
         /// マスタメンテナンスメニューボタン配置
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 48)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 49)
@@ -206,71 +206,71 @@
         #endregion
 
         #region 旧マスタメンテナンスタブ表示制御
-        /// <summary>
-        /// 旧マスタメンテナンスタブ表示制御
-        /// </summary>
-        private void DisplayOldMenteTab()
-        {
-            try
-            {
-                int SecurityCode = CommonMotions.LoginUserData.SecurityManagement;
-                tabMenu.TabPages[(int)MenuTabAssign.MentenanceMenu].BackColor = OldMentenanceColor[SecurityCode];
-                tblLayoutMaster.BackColor = OldMentenanceColor[SecurityCode];
+        ///// <summary>
+        ///// 旧マスタメンテナンスタブ表示制御
+        ///// </summary>
+        //private void DisplayOldMenteTab()
+        //{
+        //    try
+        //    {
+        //        int SecurityCode = CommonMotions.LoginUserData.SecurityManagement;
+        //        tabMenu.TabPages[(int)MenuTabAssign.MentenanceMenu].BackColor = OldMentenanceColor[SecurityCode];
+        //        tblLayoutMaster.BackColor = OldMentenanceColor[SecurityCode];
 
-                tabMenu.TabPages[(int)MenuTabAssign.MentenanceMenu].Text = CommonDefine.SystemManageDiv[(SecurityCode - 1)].Value + "マスタ";
+        //        tabMenu.TabPages[(int)MenuTabAssign.MentenanceMenu].Text = CommonDefine.SystemManageDiv[(SecurityCode - 1)].Value + "マスタ";
 
-                int[,] BtnDspFlg = null;
-                int Sec1 = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key;
-                int Sec2 = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SupervisorAuthority].Key;
-                int Sec3 = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key;
-                int Sec4 = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;
+        //        int[,] BtnDspFlg = null;
+        //        int Sec1 = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key;
+        //        int Sec2 = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SupervisorAuthority].Key;
+        //        int Sec3 = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key;
+        //        int Sec4 = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;
 
-                if (CommonMotions.LoginUserData.SecurityManagement == (int)Sec1)
-                {
-                    BtnDspFlg = DspMentenance1;
-                }
-                else if (CommonMotions.LoginUserData.SecurityManagement == (int)Sec2)
-                {
-                    BtnDspFlg = DspMentenance2;
-                }
-                else if (CommonMotions.LoginUserData.SecurityManagement == (int)Sec3)
-                {
-                    BtnDspFlg = DspMentenance3;
-                }
-                else if (CommonMotions.LoginUserData.SecurityManagement == (int)Sec4)
-                {
-                    BtnDspFlg = DspMentenance4;
-                }
+        //        if (CommonMotions.LoginUserData.SecurityManagement == (int)Sec1)
+        //        {
+        //            BtnDspFlg = DspMentenance1;
+        //        }
+        //        else if (CommonMotions.LoginUserData.SecurityManagement == (int)Sec2)
+        //        {
+        //            BtnDspFlg = DspMentenance2;
+        //        }
+        //        else if (CommonMotions.LoginUserData.SecurityManagement == (int)Sec3)
+        //        {
+        //            BtnDspFlg = DspMentenance3;
+        //        }
+        //        else if (CommonMotions.LoginUserData.SecurityManagement == (int)Sec4)
+        //        {
+        //            BtnDspFlg = DspMentenance4;
+        //        }
 
-                bool bCreateLine = false;
-                bool bFisrt = true;
-                ProcessExcute wrkRec = new ProcessExcute();
-                // 起動処理に設定されているかをチェックする
-                for (int iy = 0; iy < MentenanceMenuButton.GetLength(0); iy++)
-                {
-                    bCreateLine = false;
-                    for (int ix = 0; ix < MentenanceMenuButton.GetLength(1); ix++)
-                    {
-                        if (BtnDspFlg[iy, ix] == 0) continue;
-                        // 新規時は行を作成する
-                        if (!bCreateLine)
-                        {
-                            if (!bFisrt) TableLayoutRowAdd(tblLayoutMaster);
-                            bFisrt = false;
-                        }
-                        wrkRec.ExecCode = MentenanceMenuButton[iy, ix];
-                        // ボタンを作成する
-                        ButtonAdd(tblLayoutMaster, (ix * 2), wrkRec, 267, 44);
+        //        bool bCreateLine = false;
+        //        bool bFisrt = true;
+        //        ProcessExcute wrkRec = new ProcessExcute();
+        //        // 起動処理に設定されているかをチェックする
+        //        for (int iy = 0; iy < MentenanceMenuButton.GetLength(0); iy++)
+        //        {
+        //            bCreateLine = false;
+        //            for (int ix = 0; ix < MentenanceMenuButton.GetLength(1); ix++)
+        //            {
+        //                if (BtnDspFlg[iy, ix] == 0) continue;
+        //                // 新規時は行を作成する
+        //                if (!bCreateLine)
+        //                {
+        //                    if (!bFisrt) TableLayoutRowAdd(tblLayoutMaster);
+        //                    bFisrt = false;
+        //                }
+        //                wrkRec.ExecCode = MentenanceMenuButton[iy, ix];
+        //                // ボタンを作成する
+        //                ButtonAdd(tblLayoutMaster, (ix * 2), wrkRec, 267, 44);
 
-                        bCreateLine = true;
-                    }
-                }
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
+        //                bCreateLine = true;
+        //            }
+        //        }
+        //    }
+        //    catch (Exception ex)
+        //    {
+        //        logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+        //    }
+        //}
         #endregion
 
         #region マスタメンテナンスタブ表示制御
@@ -289,13 +289,13 @@
                 tblLayoutMaster.Height = s_MentenanceRowHeight;
                 m_MentenanceButton.Clear();
 
-                // チェック配列をセットする
-                // 旧セキュリティを使用している場合はパターンを変える
-                if (CommonMotions.LoginUserData.SecCode == 0)
-                {
-                    DisplayOldMenteTab();
-                    return;
-                }
+                //// チェック配列をセットする
+                //// 旧セキュリティを使用している場合はパターンを変える
+                //if (CommonMotions.LoginUserData.SecCode == 0)
+                //{
+                //    DisplayOldMenteTab();
+                //    return;
+                //}
 
                 Color SelectColor = CommonMotions.getBackForeColor(CommonMotions.LoginUserSecurity.SelectBackColor, CommonDefine.PalceOfColor.BackColor);
                 tabMenu.TabPages[(int)MenuTabAssign.MentenanceMenu].BackColor = SelectColor;
@@ -341,6 +341,32 @@
         }
         #endregion
 
+        #region 受注管理タブメニュー表示制御
+        /// <summary>
+        /// 受注管理タブメニュー表示制御
+        /// </summary>
+        private void DisplayOrdersTab()
+        {
+            try
+            {
+                int None = (int)CommonDefine.SecurityRangePos.None;                 // 担当のみ
+                if (CommonMotions.LoginUserSecurity.SecRange == CommonDefine.SecurityRangeList[None].Key)
+                {
+                    btnOrder0300.Text = string.Empty;
+                    btnOrder0301.Text = string.Empty;
+                }
+
+                // 使用しないボタンを消す
+                // 受注管理
+                ButtonControlVisibleSet(tblLayoutOrder.Controls);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 施工管理タブメニュー表示制御
         /// <summary>
         /// 施工管理タブメニュー表示制御
@@ -355,33 +381,6 @@
 
                 tblLayoutConstruction.Width = pnlConstruction.Width - 20;
 
-                // 起動処理に設定されているかをチェックする(現在コメント、処理がそろえば使用する)
-                //for (int iy = 0; iy < ConstructionMenuButton.GetLength(0); iy++)
-                //{
-                //    for (int ix = 0; ix < ConstructionMenuButton.GetLength(1); ix++)
-                //    {
-                //        string btnName = string.Format("{0}{1:D2}{2:D2}", s_btnConstrction, iy, ix);
-                //        Control[] targets = this.Controls.Find(btnName, true);
-                //        Control target = null; 
-                //        if (targets.Length > 0) target = targets[0];
-                //        if (target == null) continue;
-                //        // ボタンを非表示にする
-                //        target.Visible = false;
-                //        foreach (ProcessExcute wrkRec in CommonMotions.LoginUserProcExe)
-                //        {
-                //            // マスタメンテナンス以外は処理しない
-                //            if (wrkRec.ExecCode >= (int)ClsExcute.MaintenanceExecuteNo.System) break;
-                //            if (ConstructionMenuButton[iy, ix] == wrkRec.ExecCode)
-                //            {
-                //                // ボタンを表示する
-                //                target.Visible = true;
-
-                //                break;
-                //            }
-                //        }
-                //    }
-                //}
-
                 // 一般ユーザーは出納帳入力を表示しない
                 if (CommonMotions.LoginUserSecurity.SecRange == (int)CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key)
                 {
@@ -403,6 +402,28 @@
         }
         #endregion
 
+        #region 総務管理タブメニュー表示制御
+        /// <summary>
+        /// 総務管理タブメニュー表示制御
+        /// </summary>
+        private void DisplayAffairsTab()
+        {
+            try
+            {
+                // 使用しないボタンを消す
+                // 総務管理
+                ButtonControlVisibleSet(tableLayoutAffairs.Controls);
+
+                tableLayoutAffairs.Width = pnlAffairs.Width - 20;
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region タブページ表示制御
         /// <summary>
         /// 表示画面設定
@@ -412,16 +433,18 @@
             try
             {
                 // 使用しないボタンを消す
-                // 受注管理
-                ButtonControlVisibleSet(tblLayoutOrder.Controls);
                 // 各種提出書類
                 ButtonControlVisibleSet(tableLayoutDocuments.Controls);
-                // 総務管理
-                ButtonControlVisibleSet(tableLayoutAffairs.Controls);
 
+                // 受注管理
+                DisplayOrdersTab();
+
                 // 施工管理
                 DisplayConstructionTab();
 
+                // 総務管理
+                DisplayAffairsTab();
+
                 // マスタメンテナンス
                 DisplayDataMenteTab();
 
Index: trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 48)
+++ trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 49)
@@ -88,7 +88,10 @@
       <HintPath>lib\log4net.dll</HintPath>
     </Reference>
     <Reference Include="Microsoft.VisualBasic" />
-    <Reference Include="Microsoft.VisualBasic.PowerPacks, Version=12.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
+    <Reference Include="Microsoft.VisualBasic.PowerPacks, Version=12.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>C:\Program Files (x86)\Reference Assemblies\Microsoft\VBPowerPacks\v12.0\Microsoft.VisualBasic.PowerPacks.dll</HintPath>
+    </Reference>
     <Reference Include="Oracle.ManagedDataAccess, Version=4.121.2.0, Culture=neutral, PublicKeyToken=89b483f429c47342, processorArchitecture=MSIL">
       <HintPath>..\packages\Oracle.ManagedDataAccess.12.1.2400\lib\net40\Oracle.ManagedDataAccess.dll</HintPath>
       <Private>True</Private>
Index: trunk/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 48)
+++ trunk/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 49)
@@ -33,6 +33,6 @@
 // 既定値にすることができます:
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("0.0.0.0")]
-[assembly: AssemblyFileVersion("0.9.9.8")]
+[assembly: AssemblyFileVersion("0.9.9.9")]
 // Log4netを使用する
 [assembly: log4net.Config.XmlConfigurator(ConfigFile = @"log4net.config", Watch = true)]
\ No newline at end of file
